import { XMPPService } from "../XMPPService";
import { XMPPUTils } from "../../common/XMPPUtils";
import { GenericHandler } from "./GenericHandler";
import { Core } from "../../Core";
import { RBVoiceService } from "../../services/RBVoiceService.js";
import { ProfilesService } from "../../services/ProfilesService.js";
import { ContactsService } from "../../services/ContactsService.js";
export {};
declare class RBVoiceEventHandler extends GenericHandler {
    MESSAGE: any;
    MESSAGE_MANAGEMENT: any;
    MESSAGE_ERROR: any;
    MESSAGE_HEADLINE: any;
    IQ_RESULT: any;
    IQ_ERROR: any;
    private _core;
    rbVoiceService: RBVoiceService;
    contactsService: ContactsService;
    promiseQueue: any;
    _profilesService: ProfilesService;
    xmppUtils: XMPPUTils;
    static getClassName(): string;
    getClassName(): string;
    static getAccessorName(): string;
    getAccessorName(): string;
    constructor(xmppService: XMPPService, core: Core);
    onIqResultReceived(msg: any, stanza: any): void;
    onErrorMessageReceived(msg: any, stanzaTab: any): void;
    onMessageReceived(msg: any, stanzaTab: any): Promise<boolean>;
    onManagementMessageReceived(msg: any, stanzaTab: any): Promise<boolean>;
    onHeadlineMessageReceived(msg: any, stanzaTab: any): Promise<boolean>;
}
export { RBVoiceEventHandler };
